openSUSE Security Update : openjpeg (openSUSE-SU-2012:1370-1)

Medium Nessus Plugin ID 74783


The remote openSUSE host is missing a security update.


This update fixes a heap-based buffer overflow in OpenJPEG which could allow remote attackers to cause a denial of service (application crash) and possibly execute arbitrary code via a crafted JPEG2000 file.


Update the affected openjpeg packages.

See Also

Plugin Details

Severity: Medium

ID: 74783

File Name: openSUSE-2012-717.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libopenjpeg1, p-cpe:/a:novell:opensuse:libopenjpeg1-32bit, p-cpe:/a:novell:opensuse:libopenjpeg1-debuginfo, p-cpe:/a:novell:opensuse:libopenjpeg1-debuginfo-32bit, p-cpe:/a:novell:opensuse:openjpeg, p-cpe:/a:novell:opensuse:openjpeg-debuginfo, p-cpe:/a:novell:opensuse:openjpeg-debugsource, p-cpe:/a:novell:opensuse:openjpeg-devel, p-cpe:/a:novell:opensuse:openjpeg-devel-32bit, cpe:/o:novell:opensuse:12.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2012/10/11

Reference Information

CVE: CVE-2012-3535